Плоскость

From FreeCAD Documentation
The printable version is no longer supported and may have rendering errors. Please update your browser bookmarks and please use the default browser print function instead.
This page is a translated version of the page Part Plane and the translation is 29% complete.
Outdated translations are marked like this.

Плоскость

Системное название
Part_Plane
Расположение в меню
ДетальСоздать примитивы... → Плоскость
Верстаки
Part(Деталь)
Быстрые клавиши
Нет
Представлено в версии
-
См. также
Создать примитивы...

Описание

Создаёт простую параметрическую плоскость 10х10мм с параметрами положение, длина и ширина. По умолчанию плоскость расположена в начале координат (0,0,0).

Применение

See Part Primitives.

Example

Part Plane from the scripting example

A Part Plane object created with the scripting example below is shown here.

Свойства

See also: Property editor.

A Part Plane object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Данные

Attachment

The object has the same attachment properties as a Part Part2DObject.

Plane

  • ДанныеLength (Length): The length of the plane. This is the dimension in its X direction. The default is 10mm.
  • ДанныеWidth (Length): The width of the plane. This is the dimension in its Y direction. The default is 10mm.

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Plane can be created with the addObject() method of the document:

plane = FreeCAD.ActiveDocument.addObject("Part::Plane", "myPlane")
  • Where "myPlane" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

plane = doc.addObject("Part::Plane", "myPlane")
plane.Length = 4
plane.Width = 8
plane.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(20, 75, 60))

doc.recompute()